source STEREO_CAMERA.tcl

proc StereoCameraChanged { name value } {
    UpdateStereoCameraVariables $name
}

proc CreateStereoCameraUI { name } {
    set root ".glf_[subst $name]"

    toplevel $root

    frame $root.enums

    ##################################################
    # Mono

    global [subst $name]_mono
    set monoFrame [CreateRadioButtonFrame $name $root.enums mono Mono [subst $[subst $name]_mono] [list [list Mono 0] [list Stereo 1]]]

    ##################################################
    # Illusion

    global [subst $name]_illusion
    set illusionFrame [CreateRadioButtonFrame $name $root.enums illusion Illusion [subst $[subst $name]_illusion] [list [list Cross 0] [list Diverge 1] [list RedGreen 2]]]

    pack $monoFrame $illusionFrame -side left -expand 1 -fill both

    ##################################################
    # Projection

    set projectionFrame [CreateProjectionFrame $name $root]

    ##################################################
    # Eye Offset

    global [subst $name]_real_offset
    set eyeOffsetScale [CreateScaleCmd $name $root real_offset "Eye Offset (m)" \
	    [subst $[subst $name]_real_offset] 0.000 0.100 0.001 1 horizontal \
	    "StereoCameraChanged $name"]

    ##################################################
    # Viewing Distance

    global [subst $name]_real_distance
    set viewingDistanceScale [CreateScaleCmd $name $root real_distance "Viewing Distance (m)" \
	    [subst $[subst $name]_real_distance] 0.01 1.00 0.01 1 horizontal \
	    "StereoCameraChanged $name"]

    puts "Viewing Distance = [subst $[subst $name]_real_distance]"

    ##################################################
    # Meters Per Pixel

    global [subst $name]_real_per_pixel
    set metersPerPixelScale [CreateScaleCmd $name $root real_per_pixel "Meters per Pixel" \
	    [subst $[subst $name]_real_per_pixel] 0.00010 0.00100 0.00001 1 horizontal \
	    "StereoCameraChanged $name"]

    ##################################################
    # Clipping

    set backFrontFrame [CreateDoubleScale $name $root backFront back front \
	    Back Front -10 -2 -0.01 -0.01 0.01 1 horizontal]

    pack $root.enums $projectionFrame \
	    $eyeOffsetScale $viewingDistanceScale \
	    $metersPerPixelScale $backFrontFrame \
	    -side top -fill x
}



